Package be.fgov.ehealth.idsupport.core.v2

# Class ProviderInfo

java.lang.Object
be.fgov.ehealth.idsupport.core.v2.ProviderInfo

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:38+02:00", comments="JAXB RI v4.0.5") public class ProviderInfo extends Object implements Serializable
Container for detailed information of provider on the status of the processed request.

Java class for ProviderInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProviderInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Information" type="{urn:be:fgov:ehealth:idsupport:core:v2}ProviderInfoDetailType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProviderInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getDescription()`
  Gets the value of the description property.
  `List<ProviderInfoDetailType>`
  `getInformations()`
  Gets the value of the informations property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProviderInfo

    public ProviderInfo()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### getInformations

    public List<ProviderInfoDetailType> getInformations()
    Gets the value of the informations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the informations property.

    For example, to add a new item, do as follows:

         getInformations().add(newItem);

    Objects of the following type(s) are allowed in the list `ProviderInfoDetailType`

    Returns:
      The value of the informations property.